Bug 326591 - kio_audiocd locks the dvd/cd drive when an audio cd is inserted
kio_audiocd locks the dvd/cd drive when an audio cd is inserted
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cdparanoia (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-10 13:01 EDT by Scott Baker
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:43:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Baker 2007-10-10 13:01:13 EDT
Description of problem:
Inserting an AudioCD causes the kio_audiocd to lock the /dev/dvd drive from
other applications

Version-Release number of selected component (if applicable):
kdelibs-3.5.7-22.fc7
kdebase-3.5.7-13.1.fc7
etc.

How reproducible:
Easily

Steps to Reproduce:
1. Insert an AudioCD in KDE
2. Launch kaudiocdcreator and try and rip the CD
3. Get an error message about the drive being in use
  
Actual results:
CD Doesn't rip

Expected results:
CD Rips

Additional info:
lsof /dev/dvd
COMMAND     PID   USER   FD   TYPE DEVICE SIZE NODE NAME
kio_audio 27511 bakers   14r   BLK   11,0      5217 /dev/scd0
kio_audio 27512 bakers   13r   BLK   11,0      5217 /dev/scd0

ps aux | grep kio
bakers   27512  0.0  0.4  33504  8460 ?        S    09:33   0:00 kio_audiocd
[kdeinit] audiocd /tmp/ksocket-bakers/klaunche

Work Around
-----------
Wait about 120 seconds for the kio_audiocd to do it's thing and timeout?
(p)kill the kio_audiocd process and then rip your CD
Comment 1 Chitlesh GOORAH 2007-10-21 18:25:22 EDT
This bug is not related to the kio_resources package, but the KDE packages.

Kio_resources allows one to browse all installed files in the standard search paths.

Thus I'm adding KDE folks as CC:.
Comment 2 Chitlesh GOORAH 2007-12-23 16:39:50 EST
Since this bug is not related to the kio_resources package, I'm closing it.
Comment 3 Rex Dieter 2007-12-23 16:48:34 EST
Strictly speaking, afaik anyway, it's due to fedora's cdparanoia being patched
to exclusively lock the cd device.
Comment 4 Rex Dieter 2007-12-23 16:51:48 EST
Peter, can you confirm my understanding, and potentially justify the O_EXCL
patch, and provide suggestions here (a side effect of the O_EXCL patch)?
Comment 5 A. Folger 2007-12-25 17:30:39 EST
I just discovered this same problem, and independently figured out the same
workaround (kill kio_audiocd). I am using Fedora 8, with all updates applied,
and find it a pity that the bug might be closed on account of it being
mislabeled (see comment #2). Clearly, for non-geeks who would not think of ps -u
user and kill -9 the kio_audiocd, this could be a showstopper.
Comment 6 Brian Powell 2008-04-25 00:43:42 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.
Comment 7 Scott Baker 2008-04-25 00:47:33 EDT
Seeing as this bug is still present and occurring in Fedora 8 I'm at a loss.
It's a confirmed bug by two people. Perhaps you need to ping Peter off bugzilla
instead of just closing the ticket since he hasn't responded? I'm happy to help
fix this, but I don't know what else to do.

Note You need to log in before you can comment on or make changes to this bug.